/*
* Copyright (c) 2008 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


// PACKAGE
package com.nokia.mj.impl.pim;

// CLASS DEFINITION

public final class ErrorString
{
    /** Frequently used error description. */
    public final static String GENERAL_ERROR = "General error";

    /** Frequently used error description. */
    public final static String GENERAL_ERROR_COLON = "General error:";

    /** Frequently used error description. */
    public final static String VALUE_IS_NULL = "Value is null";

    /** Frequently used error description. */
    public final static String CATEGORY_MISSING = "Category missing";

    /** Frequently used error description. */
    public final static String CATEGORY_IS_NULL = "Category is null";

    /** Error description. */
    public static final String INVALID_LIST_TYPE_COLON = "Invalid list type: ";

    /** Error description. */
    public static final String INVALID_ARGUMENT = "Invalid argument";

    /** Error description. */
    public static final String INVALID_MODE_COLON = "Invalid mode: ";

    /** Error description. */
    public static final String LIST_NAME_IS_NULL = "List name is null";

    /** Error description. */
    public static final String ITEM_IS_NULL = "Item is null";

    /** Error description. */
    public static final String INVALID_ITEM = "Invalid item";

    /** Error description. */
    public static final String ITEM_IS_NOT_IN_THE_LIST = "Item is not in the List";

    /** Error description. */
    public final static String ITEM_DOES_NOT_ORIGINATE_FROM_THIS_LIST = "The item does not originate from the list";

    /** Error description. */
    public final static String STRING_VALUE_IS_NULL = "String value is null";

    /** Error description. */
    public final static String INVALID_FIELD_DATA_TYPE_COLON = "Invalid field data type: ";

    /** Error description. */
    public final static String VALUE_IS_EMPTY = "Value is empty.";

    /** Error description. */
    public final static String INVALID_OFFSET_COLON = "Invalid offset: ";

    /** Error description. */
    public final static String INVALID_LENGTH_COLON = "Invalid length: ";

    /** Error description. */
    public final static String ITEM_DOES_NOT_BELONG_TO_A_LIST = "Item does not belong to a list";

    /** Error description. */
    public final static String LIST_IS_CLOSED = "List is closed";

    /** Error description. */
    public final static String LIST_IS_ALREADY_CLOSED = "List is already closed";

    /** Error description. */
    public final static String USER_DECLINED_OPERATION = "User declined the operation";

    /** Error description. */
    public final static String IMPORT_ITEM_IS_NULL = "Import item is null";

    /** Error description. */
    public final static String INVALID_SEARCH_TYPE_COLON = "Invalid search type: ";

    /** Error description. */
    public final static String START_DATE_IS_AFTER_END_DATE = "Start date is after end date";

    /** Error description. */
    public final static String INVALID_REPEATRULE_VALUE_COLON = "Invalid repeatrule value: ";

    /** Error description. */
    public final static String INVALID_FREQUENCY_COLON = "Invalid frequency: ";

    /** error string. */
    public static final String STREAM_ERROR_COLON = "Stream error: ";

    /** error string. */
    public static final String UNSUPPORTED_FORMAT_COLON = "Unsupported format: ";

    /** error string. */
    public static final String NOT_VCARD_OR_VCALENDAR = "Data is not a vCard or a vCalendar";

    /** error string. */
    public static final String NOT_SUPPORTED_ITEM = "Unsupported item type";

    /** error string. */
    public static final String NOT_CONTACT = "Not a contact";

    /** error string. */
    public static final String NOT_A_COMPLETE_ENTRY = "Not a complete entry";

    /** Frequently used error description. */
    public final static String UNSUPPORTED_FIELD_COLON = "Unsupported field: ";

    /** Frequently used error description. */
    public final static String INVALID_FIELD_COLON = "Invalid field: ";

    /** Frequently used error description. */
    public final static String FIELD_IS_FULL = "Field is full";

    /** Frequently used error description. */
    public final static String FIELD_NOT_FOUND_COLON = "Field not found: ";

    /** Frequently used error description. */
    public final static String FIELD_IS_READ_ONLY = "Field is read only";

    /** Frequently used error description. */
    public final static String INVALID_INDEX_COLON = "Invalid index: ";

    /** Frequently used error description. */
    public final static String INVALID_VALUE = "Invalid value";

    /** Error description. */
    public final static String UNSUPPORTED_FIELD_OR_ARRAY_ELEMENT = "Unsupported field or array element";

    /** Frequently used error description. */
    public static final String CATEGORIES_ARE_NOT_SUPPORTED = "Categories are not supported";

    /** Error description. */
    public static final String DATA_SERIALIZATION_FAILED = "Data serialization failed";

    /** Error description. */
    public static final String DATA_SERIALIZATION_FAILED_COLON = "Data serialization failed:";

    /** Error description. */
    public static final String INVALID_CATEGORY_COLON = "Invalid category: ";

    /** Error description. */
    public static final String INVALID_CATEGORY = "Invalid category";

    /** Error description. */
    public static final String NO_SUCH_CATEGORY_COLON = "No such category:";

    /** Error description. */
    public final static String ITEM_HAS_INSUFFICIENT_DATA = "The item has insufficient data";

    /** Error description. */
    public final static String ITEM_IS_REMOVED = "Item is removed";

    /** Error description. */
    public final static String ITEM_IN_USE = "The item is in use";

    /** Error description. */
    public static final String ITEM_EXISTS_NO_MORE = "Item exists no more in the database.";

    /** Error description. */
    public final static String INVALID_ATTRIBUTE_COLON = "Invalid attribute: ";

    /** Error description. */
    public final static String UNSUPPORTED_ATTRIBUTE_COLON = "Unsupported attribute: ";

    /** Error description. */
    public static final String INVALID_LIST_NAME_COLON = "Invalid list name: ";

    /** Error description. */
    public static final String LIST_IS_ALREADY_OPEN = "List is already open";

    /** Error description. */
    public final static String ITEM_HAS_INVALID_DATA = "The item has invalid data content";

    /** Error description. */
    public final static String COMMIT_OPERATION_FAILED_COLON = "Commit operation failed:";

    /** Error description. */
    public final static String REMOVAL_FAILED_COLON = "Removal failed:";

    /** Error description. */
    public final static String CANNOT_OBTAIN_LABEL_COLON = "Cannot obtain label:";

    /** Error description. */
    public final static String INVALID_FIELD_OR_ARRAY_ELEMENT = "Invalid field or array element";

    /** Error description. */
    public final static String UPDATING_FAILED = "Updating failed";

    /** Error description. */
    public final static String LISTING_FAILED_DOT = "Listing available lists failed.";

    /** Error description. */
    public final static String OPENING_LISTS_FAILED_COLON = "Opening lists failed:";

    /** Error description. */
    public final static String IMPORTING_FAILED_COLON = "Importing failed:";

    /** Error description. */
    public final static String SEARCHING_FAILED_COLON = "Searching failed:";
}